commit:     9cb82433b1ac4df645d5afbb3bd7e32b5737dac7
Author:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 26 18:50:46 2026 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Thu Feb 26 18:51:42 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9cb82433

net-misc/freerdp: add 3.23.0

Closes: https://bugs.gentoo.org/970616
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 net-misc/freerdp/Manifest              |   2 +
 net-misc/freerdp/freerdp-3.23.0.ebuild | 189 +++++++++++++++++++++++++++++++++
 2 files changed, 191 insertions(+)

diff --git a/net-misc/freerdp/Manifest b/net-misc/freerdp/Manifest
index 0f9ff4cf7fc1..9f84a26dae03 100644
--- a/net-misc/freerdp/Manifest
+++ b/net-misc/freerdp/Manifest
@@ -12,3 +12,5 @@ DIST freerdp-3.21.0.tar.gz 11379178 BLAKE2B 
50a32e9d342bfefac2a70888a73e7804e4b1
 DIST freerdp-3.21.0.tar.gz.asc 228 BLAKE2B 
dd6aff099bc43810541081bc062285c6d066ead7e7b28810175fcfcee637620c69900094b49b446fc0d9b245c27023ad8c6e6dd72937cacafb028b50118bb677
 SHA512 
241dc6351681a4f03b3567189a435158e8c94afe20a4ca1e290a6259e583dc29d9383ea68d6b491e8905f943b3028b75656bf33ed0259ac2bfdd5d3d82113e2a
 DIST freerdp-3.22.0.tar.gz 11387311 BLAKE2B 
54e7df181265d20cac3ef1f83681791a37e2ba67d7bfc8d364088443974abbe2ae9925202759aeab43b59894d85a63146d3a2bf1331914647f8dea6f8381fbcd
 SHA512 
838bb4ceb1b48b9ec0a21456070826f4682b9a6557505b815da61063a3cbeedd9537d0d5821e2b3e6c482f69c0dcce6c888192cd8aadd1886a6ce281f0678338
 DIST freerdp-3.22.0.tar.gz.asc 228 BLAKE2B 
7a33aaea012923dda8faa3637bb3aa82060395fab417838642251ae6c873fd0b59bda7bfe9957c3d2fa569e2e0e3c58a977db692728abf6c22e28b580f620977
 SHA512 
0881ec64122f490b533c40ac5c7c528aa86605821197ced2f3dc51dfb6f8514962acaf374b6edc8b12aa8ff286141201c1fc81592166b5f2a6b506d7b1978e47
+DIST freerdp-3.23.0.tar.gz 11413942 BLAKE2B 
65eb7e6b3509953d536be07a02b4f3faf504ba8bef12e93831941af3d9460c4cf452ed3ddda935637641211f2cccb27a56548563de92f63e6188401a328b373f
 SHA512 
8b0eb903de628228068dde49b1d78feb6cae9d1da1ac75c3ccf51df17a6a182f98848f4be2ed7f9e6035000fe4801767ff852185f974c5a03ee8562bec78e7dc
+DIST freerdp-3.23.0.tar.gz.asc 228 BLAKE2B 
a668286bf675cef7acb39f687328f5e4c5f0c7220b95c7afa509f8fdf1bd97d8b3632f22cbf916d4765de0693cf52f4dfef92ab3ae08b6527d437a05ae5c8d0a
 SHA512 
b4f0507e15eacef6ddb8563a4f0215d7917c3e0945137c6ac6d2ffa2d13119cd86a14a8539bf756122d4801f458610f433316726b6ef2dd6074c0c8ea6441d13

diff --git a/net-misc/freerdp/freerdp-3.23.0.ebuild 
b/net-misc/freerdp/freerdp-3.23.0.ebuild
new file mode 100644
index 000000000000..2b8c8ba2eb78
--- /dev/null
+++ b/net-misc/freerdp/freerdp-3.23.0.ebuild
@@ -0,0 +1,189 @@
+# Copyright 2011-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake flag-o-matic
+
+if [[ ${PV} == *9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/FreeRDP/FreeRDP.git";
+       case ${PV} in
+               2.*) EGIT_BRANCH="stable-2.0";;
+       esac
+else
+       inherit verify-sig
+       MY_P=${P/_/-}
+       S="${WORKDIR}/${MY_P}"
+       SRC_URI="https://pub.freerdp.com/releases/${MY_P}.tar.gz
+               verify-sig? ( 
https://pub.freerdp.com/releases/${MY_P}.tar.gz.asc )"
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+       BDEPEND="verify-sig? ( sec-keys/openpgp-keys-akallabeth )"
+       VERIFY_SIG_OPENPGP_KEY_PATH="/usr/share/openpgp-keys/akallabeth.asc"
+fi
+
+DESCRIPTION="Free implementation of the Remote Desktop Protocol"
+HOMEPAGE="https://www.freerdp.com/";
+
+LICENSE="Apache-2.0"
+SLOT="3"
+IUSE="aad alsa cpu_flags_arm_neon +client cups debug +ffmpeg +fuse gstreamer 
+icu jpeg kerberos openh264 pulseaudio sdl server smartcard systemd test usb 
valgrind wayland X xinerama xv"
+RESTRICT="!test? ( test )"
+
+BDEPEND+="
+       virtual/pkgconfig
+       app-text/docbook-xsl-stylesheets
+       dev-libs/libxslt
+"
+COMMON_DEPEND="
+       dev-libs/openssl:0=
+       virtual/zlib:=
+       aad? ( dev-libs/cJSON )
+       alsa? ( media-libs/alsa-lib )
+       cups? ( net-print/cups )
+       usb? (
+               virtual/libudev:0=
+               sys-apps/util-linux:0=
+               dev-libs/dbus-glib:0=
+               virtual/libusb:1=
+       )
+       X? (
+               x11-libs/libXcursor
+               x11-libs/libXext
+               x11-libs/libXi
+               x11-libs/libXrender
+               xinerama? ( x11-libs/libXinerama )
+               xv? ( x11-libs/libXv )
+       )
+       ffmpeg? ( media-video/ffmpeg:0= )
+       !ffmpeg? (
+               x11-libs/cairo:0=
+       )
+       fuse? ( sys-fs/fuse:3= )
+       gstreamer? (
+               media-libs/gstreamer:1.0
+               media-libs/gst-plugins-base:1.0
+               X? ( x11-libs/libXrandr )
+       )
+       icu? ( dev-libs/icu:0= )
+       jpeg? ( media-libs/libjpeg-turbo:0= )
+       kerberos? ( virtual/krb5 )
+       openh264? ( media-libs/openh264:0= )
+       pulseaudio? ( media-libs/libpulse )
+       server? (
+               X? (
+                       x11-libs/libXcursor
+                       x11-libs/libXdamage
+                       x11-libs/libXext
+                       x11-libs/libXfixes
+                       x11-libs/libXrandr
+                       x11-libs/libXtst
+                       xinerama? ( x11-libs/libXinerama )
+               )
+       )
+       smartcard? ( sys-apps/pcsc-lite )
+       systemd? ( sys-apps/systemd:0= )
+       client? (
+               sdl? (
+                       media-libs/libsdl3
+                       media-libs/sdl3-ttf
+               )
+               wayland? (
+                       dev-libs/wayland
+                       x11-libs/libxkbcommon
+               )
+       )
+       X? (
+               x11-libs/libX11
+               x11-libs/libxkbfile
+       )
+"
+DEPEND="${COMMON_DEPEND}
+       valgrind? ( dev-debug/valgrind )
+"
+RDEPEND="${COMMON_DEPEND}
+       !net-misc/freerdp:0
+       client? ( !net-misc/freerdp:2[client] )
+       server? ( !net-misc/freerdp:2[server] )
+       smartcard? ( app-crypt/p11-kit )
+"
+
+option() {
+       usex "$1" ON OFF
+}
+
+option_client() {
+       if use client; then
+               option "$1"
+       else
+               echo OFF
+       fi
+}
+
+src_configure() {
+       use debug || append-cppflags -DNDEBUG
+       local mycmakeargs=(
+               -Wno-dev
+
+               -DBUILD_TESTING=$(option test)
+
+               # https://bugs.gentoo.org/927037
+               -DCMAKE_INTERPROCEDURAL_OPTIMIZATION=OFF
+
+               -DCHANNEL_URBDRC=$(option usb)
+               -DWITH_AAD=$(option aad)
+               -DWITH_ALSA=$(option alsa)
+               -DWITH_CCACHE=OFF
+
+               -DWITH_CLIENT=$(option client)
+               -DWITH_CLIENT_SDL2=OFF
+               -DWITH_CLIENT_SDL3=$(option_client sdl)
+
+               -DWITH_SAMPLE=OFF
+               -DWITH_CUPS=$(option cups)
+               -DWITH_DEBUG_ALL=$(option debug)
+               -DWITH_VERBOSE_WINPR_ASSERT=$(option debug)
+               -DWITH_MANPAGES=ON
+               -DWITH_FFMPEG=$(option ffmpeg)
+               -DWITH_FREERDP_DEPRECATED_COMMANDLINE=ON
+               -DWITH_SWSCALE=$(option ffmpeg)
+               -DWITH_CAIRO=$(option !ffmpeg)
+               -DWITH_DSP_FFMPEG=$(option ffmpeg)
+               -DWITH_FUSE=$(option fuse)
+               -DWITH_GSTREAMER_1_0=$(option gstreamer)
+               -DWITH_JPEG=$(option jpeg)
+               -DWITH_KRB5=$(option kerberos)
+               -DWITH_NEON=$(option cpu_flags_arm_neon)
+               -DWITH_OPENH264=$(option openh264)
+               -DWITH_OSS=OFF
+               -DWITH_PCSC=$(option smartcard)
+               -DWITH_PKCS11=$(option smartcard)
+               -DWITH_PULSE=$(option pulseaudio)
+               -DWITH_SERVER=$(option server)
+               -DWITH_LIBSYSTEMD=$(option systemd)
+               -DWITH_UNICODE_BUILTIN=$(option !icu)
+               -DWITH_VALGRIND_MEMCHECK=$(option valgrind)
+               -DWITH_X11=$(option X)
+               -DWITH_XINERAMA=$(option xinerama)
+               -DWITH_XV=$(option xv)
+               -DWITH_WAYLAND=$(option_client wayland)
+               -DWITH_WEBVIEW=OFF
+               -DWITH_WINPR_TOOLS=$(option server)
+       )
+       cmake_src_configure
+}
+
+src_test() {
+       # TestBacktrace: bug 930636
+       # TestSynchCritical, TestSynchMultipleThreads: bug 951301
+       local CMAKE_SKIP_TESTS=( TestBacktrace TestSynchCritical 
TestSynchMultipleThreads )
+       if has network-sandbox ${FEATURES}; then
+               CMAKE_SKIP_TESTS+=( TestConnect )
+       fi
+       cmake_src_test
+}
+
+src_install() {
+       cmake_src_install
+       mv "${ED}"/usr/share/man/man7/wlog{,3}.7 || die
+}

Reply via email to